-- globals
myappwidth = application:getContentWidth()
myappheight = application:getContentHeight()

-- prefs
local configfilepath = "gideros_transitions_easings.txt"
--g_winposx = 1920 / 2 - myappwidth / 2
g_winposx = 1920 - 1.75 * myappwidth 
g_winposy = 64

local function myLoadPrefs()
	local mydata = getData(configfilepath) -- try to read information from file
	if not mydata then -- if no prefs file, create it
		print("file created")
		mydata = {}
		mydata.g_winposx = g_winposx
		mydata.g_winposy = g_winposy
		saveData(configfilepath, mydata) -- create file and save datas
	else
		print("file already exists")
		g_winposx = mydata.g_winposx
		g_winposy = mydata.g_winposy
	end
end
-- save prefs
function mySavePrefs()
	local mydata = {} -- clear the table
	mydata.g_winposx = g_winposx
	mydata.g_winposy = g_winposy
	saveData(configfilepath, mydata) -- save new datas
end

-- app config
mySavePrefs()
myLoadPrefs()
application:set("windowTitle", "Gideros Transitions & Easings")
--print(application:get("help"))
--[[
	Accepted value for Desktop's application:get()
	- [x,y] windowPosition
	- [w,h] windowSize
	- [w,h] screenSize
	- [x,y] cursorPosition
	- [text] clipboard
	- [text] windowTitle
	- [path] directory(where//help)
	- [path] openDirectoryDialog(title|path//help)
	- [path] openFileDialog(title|path|extensions//help)
	- [path] saveFileDialog(title|path|extensions//help)
	- [path] documentDirectory
	- [path] temporaryDirectory
	0
]]
--print(application:get("windowPosition"))
--print(application:get("windowSize"), application:get("screenSize"))
application:set("windowPosition", g_winposx, g_winposy) -- XXX

-- the main goal of the app
i = 1 -- transitions index
j = 1 -- easings index
timer = 2 -- timer

transitionstxt = {
	"moveFromLeft", -- 1
	"moveFromRight", -- 2
	"moveFromBottom", -- 3
	"moveFromTop", -- 4
	"moveFromLeftWithFade", -- 5
	"moveFromRightWithFade", -- 6
	"moveFromBottomWithFade", -- 7
	"moveFromTopWithFade", -- 8
	"overFromLeft", -- 9
	"overFromRight", -- 10
	"overFromBottom", -- 11
	"overFromTop", -- 12
	"overFromLeftWithFade", -- 13
	"overFromRightWithFade", -- 14
	"overFromBottomWithFade", -- 15
	"overFromTopWithFade", -- 16
	"fade", -- 17
	"crossFade", -- 18
	"flip", -- 19
	"flipWithFade", -- 20
	"flipWithShade", -- 21
}
easingstxt = {
	"inBack",
	"outBack",
	"inOutBack",
	"inBounce",
	"outBounce",
	"inOutBounce",
	"inCircular",
	"outCircular",
	"inOutCircular",
	"inCubic",
	"outCubic",
	"inOutCubic",
	"inElastic",
	"outElastic",
	"inOutElastic",
	"inExponential",
	"outExponential",
	"inOutExponential",
	"linear",
	"inQuadratic",
	"outQuadratic",
	"inOutQuadratic",
	"inQuartic",
	"outQuartic",
	"inOutQuartic",
	"inQuintic",
	"outQuintic",
	"inOutQuintic",
	"inSine",
	"outSine",
	"inOutSine",
}

scenemanager = SceneManager.new(
	{
		["scene1"] = Scene1,
		["scene2"] = Scene2,
	}
)
stage:addChild(scenemanager)

--function SceneManager:changeScene(scene, duration, transition, ease)
scenemanager:changeScene("scene1")
